# Interface EnvironmentalRecord

All Known Implementing Classes:
  `DefaultEnvironmentalRecord`

@UML(identifier="MI_EnvironmentalRecord", specification=ISO_19115_2) public interface EnvironmentalRecord
Information about the environmental conditions during the acquisition.

Since:
  2.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Double`
  `getAverageAirTemperature()`
  Average air temperature along the flight pass during the photo flight.
  `Double`
  `getMaxAltitude()`
  Maximum altitude during the photo flight.
  `Double`
  `getMaxRelativeHumidity()`
  Maximum relative humidity along the flight pass during the photo flight.
  `InternationalString`
  `getMeteorologicalConditions()`
  Meteorological conditions in the photo flight area, in particular clouds, snow and wind.

- ## Method Details

  - ### getAverageAirTemperature

    @UML(identifier="averageAirTemperature", obligation=MANDATORY, specification=ISO_19115_2) Double getAverageAirTemperature()
    Average air temperature along the flight pass during the photo flight.

    Warning: The return type of this method may change in GeoAPI 3.1. It may be replaced by the `Temperature` type in order to provide unit of measurement together with the value.

    Returns:
      Average air temperature along the flight pass during the photo flight.

  - ### getMaxRelativeHumidity

    @UML(identifier="maxRelativeHumidity", obligation=MANDATORY, specification=ISO_19115_2) Double getMaxRelativeHumidity()
    Maximum relative humidity along the flight pass during the photo flight.

    Warning: The return type of this method may change in GeoAPI 3.1. It may be replaced by the `Dimensionless` type in order to provide unit of measurement (typically a percentage) together with the value.

    Returns:
      Maximum relative humidity along the flight pass during the photo flight.

  - ### getMaxAltitude

    @UML(identifier="maxAltitude", obligation=MANDATORY, specification=ISO_19115_2) Double getMaxAltitude()
    Maximum altitude during the photo flight.

    Warning: The return type of this method may change in GeoAPI 3.1. It may be replaced by the `Length` type in order to provide unit of measurement together with the value.

    Returns:
      Maximum altitude during the photo flight.

  - ### getMeteorologicalConditions

    @UML(identifier="meteorologicalConditions", obligation=MANDATORY, specification=ISO_19115_2) InternationalString getMeteorologicalConditions()
    Meteorological conditions in the photo flight area, in particular clouds, snow and wind.
    Returns:
      Meteorological conditions in the photo flight area.